import java.util.*;

public class CheckIntersections {
  public static void main(String[] args) {
    Scanner s = new Scanner(System.in);
    int N = s.nextInt(), Q = s.nextInt();
    long[] x = new long[N + Q];
    long[] y = new long[N + Q];
    long[] r = new long[N + Q];
    for (int i = 0; i < N + Q; i++) {
      x[i] = s.nextLong();
      y[i] = s.nextLong();
      r[i] = s.nextLong();
    }

    for (int i = 0; i < N + Q; i++) {
      for (int j = i + 1; j < N + Q; j++) {
        long dx = x[i] - x[j];
        long dy = y[i] - y[j];
        long dsq = dx * dx + dy * dy;
        if (dsq <= (r[i] + r[j]) * (r[i] + r[j])
            && dsq >= (r[i] - r[j]) * (r[i] - r[j])) {
          System.out.println(x[i] + " " + y[i] + " " + r[i] + " and " + x[j] + " " + y[j] + " " + r[j] + " intersect");
          System.exit(1);
        }
      }
    }

    System.out.println("VALID");
    System.exit(42);
  }
}
