#include <stdio.h>
#include <assert.h>

int is_prime(int x) {
    if (x <= 3) return x >= 2;
    if (x % 2 == 0 || x % 3 == 0) return 0;
    for (int k = 6; (k - 1) * (k - 1) <= x; k += 6) {
        if (x % (k - 1) == 0) return 0;
        if (x % (k + 1) == 0) return 0;
    }

    return 1;
}

int main() {
    int n, m, p;
    scanf(" %d %d %d", &n, &m, &p);
    assert(is_prime(p));

    return 42;
}
