#!/usr/bin/env python3

import sys
import re


nm_line = sys.stdin.readline()
assert re.match('^[1-9][0-9]* [1-9][0-9]*\n$', nm_line)
n, m = [int(x) for x in nm_line.split()]
assert 1 <= n <= 500
assert 1 <= m <= 500

has_gargoyle = False
for _ in range(n):
  row = sys.stdin.readline()
  assert re.match(r'^[\\/#.VH]{%d}\n$' % m, row)
  if 'V' in row or 'H' in row:
    has_gargoyle = True

assert has_gargoyle

# EOF
assert sys.stdin.readline() == ''

sys.exit(42)
