#include <algorithm>
#include <iostream>
#include <vector>
using namespace std;

int pre[13][1<<12][13];

int main() {
  for (int x1 = 0; x1 <= 12; x1++)
  for (int b1 = 0; b1 < (1<<12); b1++)
  for (int x2 = 0; x2 <= 12; x2++) {
    int b2 = b1;
    for (int x3 = x1; x3 <= x2-2; x3++) if (((b2>>x3)&3) == 1) b2 -= (1<<x3);
    for (int x3 = x1-2; x3 >= x2; x3--) if (((b2>>x3)&3) == 2) b2 -= (2<<x3);
    pre[x1][b1][x2] = b2;
  }

  int N, M, P;
  while (cin >> N >> M >> P) {
    if (N%2 && M%2) {
      cout << 1 << endl;
    } else if (N%2 || M%2) {
      if (M%2) swap(N, M);
      int64_t ret = 1;
      for (int i = 0; i < N/2; i++) ret = (ret*(M/2+1)) % P;
      cout << ret << endl;
    } else {
      N /= 2; M /= 2;
      vector<vector<int64_t>> state(N+1, vector<int64_t>(1<<N));
      state[0][(1<<N)-1] = 1;
      for (int i = 0; i <= M; i++) {
        vector<vector<int64_t>> state2(N+1, vector<int64_t>(1<<N));
        for (int x1 = 0; x1 <= N; x1++)
        for (int b1 = 0; b1 < (1<<N); b1++)
        for (int x2 = 0; x2 <= N; x2++) {
          state2[x2][pre[x1][b1][x2]] += state[x1][b1];
        }
        for (int x2 = 0; x2 <= N; x2++)
        for (int bi = 1; bi < (1<<N); bi <<= 1)
        for (int b2 = 0; b2 < (1<<N); b2++) {
          if ((b2&bi) == 0) state2[x2][b2] += state2[x2][b2+bi];
        }
        for (int x2 = 0; x2 <= N; x2++)
        for (int b2 = 0; b2 < (1<<N); b2++) {
          state2[x2][b2] %= P;
        }
        state.swap(state2);
      }
      cout << state[0][0] << endl;
    }
  }
}
