#include <iostream>
#include <vector>
using namespace std ;
using ll = long long ;
ll n, m, MOD ; // n <= m
vector<ll> row1, row2 ;
void recur(ll r1i, ll r2i, int togo) {
   if (togo == 0) {
      row2[r2i] = (row2[r2i] + row1[r1i]) % MOD ;
   } else {
      recur(r1i*2, r2i*2, togo-1) ;
      recur(r1i*2+1, r2i*2, togo-1) ;
      recur(r1i*2+1, r2i*2+1, togo-1) ;
   }
}
void recurf(ll t, ll r1i, ll r2i, int togo) {
   if (togo == 0) {
      row2[r2i] = (row2[r2i] + row1[r1i]) % MOD ;
   } else {
      if (((t >> (togo-1)) & 1) == 0 || ((r1i & r2i) & 1) == 0)
         recurf(t, r1i*2, r2i*2, togo-1) ;
      recurf(t, r1i*2+1, r2i*2, togo-1) ;
      recurf(t, r1i*2+1, r2i*2+1, togo-1) ;
   }
}
void recurt(ll t, ll r1i, ll r2i, int togo) {
   if (togo == 0) {
      row2[r2i] = (row2[r2i] + row1[r1i]) % MOD ;
   } else {
      recurt(t, r1i*2, r2i*2, togo-1) ;
      recurt(t, r1i*2+1, r2i*2, togo-1) ;
      if (((t >> (togo-1)) & 1) == 0 || ((r1i | r2i) & 1) == 1)
         recurt(t, r1i*2+1, r2i*2+1, togo-1) ;
   }
}
int main(int argc, char *argv[]) {
   cin >> n >> m >> MOD ;
   if ((n & 1) && (m & 1)) {
      cout << 1 << endl ;
      exit(0) ;
   }
   if ((n & 1) || (m & 1)) {
      if (m & 1)
         swap(n, m) ;
      ll r = 1 ;
      for (ll i=2; i<n; i += 2)
         r = r * (m/2+1) % MOD ;
      cout << r << endl ;
      exit(0) ;
   }
   if (n > m)
      swap(n, m) ;
   n /= 2 ;
   m /= 2 ;
   ll states = (n + 1) << n ;
   row1.resize(states) ;
   row2.resize(states) ;
   for (auto &v : row1)
      v = 1 ;
   for (int iter=1; iter<m; iter++) {
      for (auto &v : row2)
         v = 0 ;
      for (ll frm=0; frm<=n; frm++)
         for (ll to=0; to<=n; to++)
            if (frm - to >= 2)
               recurf((1LL << (frm-1)) - (1LL << to), frm, to, n) ;
            else if (to - frm >= 2)
               recurt((1LL << (to-1)) - (1LL << frm), frm, to, n) ;
            else
               recur(frm, to, n) ;
      swap(row1, row2) ;
   }
   ll s = 0 ;
   for (auto v : row1)
      s = (s + v) % MOD ;
   cout << s << endl ;
}
