#include <iostream>
#include <vector>
using namespace std ;
using ll = long long ;
ll n, m, MOD ; // n <= m
vector<ll> row1, row2 ;
int main() {
   cin >> n >> m >> MOD ;
   if ((n & 1) && (m & 1)) {
      cout << 1 << endl ;
      exit(0) ;
   }
   if ((n & 1) || (m & 1)) {
      if (m & 1)
         swap(n, m) ;
      ll r = 1 ;
      for (ll i=2; i<n; i += 2)
         r = r * (m/2+1) % MOD ;
      cout << r << endl ;
      exit(0) ;
   }
   if (n > m)
      swap(n, m) ;
   n /= 2 ;
   m /= 2 ;
   ll states = (n + 1) << n ;
   row1.resize(states) ;
   row2.resize(states) ;
   for (auto &v : row1)
      v = 1 ;
   for (int iter=1; iter<m; iter++) {
      for (auto &v : row2)
         v = 0 ;
      for (ll to=0; to<=n; to++) {
         for (ll m=0; 0==(m>>n); m++) {
            for (ll frm=0; frm<=n; frm++) {
               ll mhi = m ;
               if (frm - to >= 2) {
                  ll t = (1LL << (frm - 1)) - (1LL << to) ;
                  mhi &= ~((t << 1) & ~(m << 1)) ;
               } else if (to - frm >= 2) {
                  ll t = (1LL << (to - 1)) - (1LL << frm) ;
                  mhi &= ~((t << 0) & ~(m >> 1)) ;
               }
               ll toadd = row1[(frm<<n)+m] ;
               ll mask = mhi + (2LL << n) ;
               for (ll v=0; 0==(v >> n); v = ((v | ~mask) + 1) & mask)
                  row2[(to << n) + v] += toadd ;
            }
         }
         for (auto &v: row2)
            v %= MOD ;
      }
      swap(row1, row2) ;
   }
   ll s = 0 ;
   for (auto v : row1)
      s = (s + v) % MOD ;
   cout << s << endl ;
}
