#include <cstdio>
#include <cassert>
#include <vector>

using namespace std;

constexpr int MAXN = 2e5 + 5;

int n;
bool vis[MAXN];
vector<int> tree[MAXN];

void dfs(int u) {
    vis[u] = true;
    for (int v : tree[u])
        if (!vis[v]) 
            dfs(v);
}

int main() {
    int q;
    scanf(" %d %d", &n, &q);
    for (int i = 1; i < n; i++) {
        int u, v;
        scanf(" %d %d", &u, &v);
        tree[u].push_back(v);
        tree[v].push_back(u);
    }

    dfs(1);
    for (int i = 1; i <= n; i++) {
        assert(vis[i]);
    }

    return 42;
}
